Subject: Re: [MMUSIC] Draft new version: draft-ietf-mmusic-sdp-bundle-negotiation-06 - Colin's comments

From: Christer Holmberg <[email-masked]>
Date: Wed, 9 Apr 2014 11:26:29 +0000

HI Colin,

>Section 8.1.1 starts:
>
>   By default, all RTP based media within a BUNDLE group belong to a
>   single RTP session [RFC3550].  Multiple BUNDLE groups will form
>   multiple RTP Sessions.
>
>   NOTE: The usage of multiple RTP sessions within a BUNDLE group, or
>   the usage of a single RTP session that spans over multiple BUNDLE
>   groups, is outside the scope of this specification.  Other
>   specification needs to extend the BUNDLE mechanism in order to allow
>   such usages.
>
>   When a single RTP session is used, all bundled "m=" lines
>   representing RTP based media share a single SSRC numbering space
>   [RFC3550].
>
> I suggest rephrasing this as:
>
>   All RTP-based media within a single BUNDLE group belong to a 
>   single RTP session [RFC3550]. Multiple BUNDLE groups will form 
>   multiple RTP sessions, one per bundle group.
>
>   Since a single RTP session is used for each bundle group, all 
>   "m=" lines representing RTP-based media in a bundle group will 
>   share a single SSRC numbering space [RFC3550].
>
> Similarly, in the Introduction, I suggest changing:
>
>   The default assumption is that all Real-Time Protocol (RTP) [RFC3550]
>   based media flows associated with a BUNDLE group belong to the same
>   RTP Session [RFC3550].  Future extensions can change that assumption.
>
> to
>
>   All Real-time Transport Protocol (RTP) [RFC3550] based media flows 
>   associated with a single BUNDLE group belong to a single RTP session 
>   [RFC3550].
>
> The rationale for this change is that supporting multiple RTP sessions on a single 5-tuple is a significant change to RTP, for example 
> to introduce a shim-layer, that did not receive consensus in AVTCORE. These changes align the bundle draft with that decision, and reword the text for clarity.

I am ok with your suggestion, as long as other multiple-RTP-session advocates don't object :)

Regards,

Christer

On 7 Apr 2014, at 09:06, Christer Holmberg <[email-masked]> wrote:
> We have submitted a new version (-06) of BUNDLE.
>  
> As you will see, the document has been re-structured quite a bit. The main reason for that was to align the SDP offer/answer procedures with the RFC 3264 structure (I had to do that for another draft, so I decided to do the same thing also for BUNDLE - rather now than when we reach WGLC).
>  
> The draft does have a dependency on an RTP header indicator, and the completion of draft-ietf-mmusic-sdp-mux-attributes, but otherwise there are currently no BUNDLE specific open issues.
>  
> Regards,
>  
> Christer
>  
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

-- 
Colin Perkins
http://csperkins.org/